Package org.eclipse.birt.report.engine.api

# Interface IMetadataFilter

public interface IMetadataFilter

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`KEY_ADD_INTO_IID_LIST`
Only use the key, not the value.
`static final String`
`KEY_ATTR_ELEMENT_TYPE`
The property "element_type".
`static final String`
`KEY_ATTR_ROW_TYPE`
The property "row-type".
`static final String`
`KEY_ATTR_TYPE`
The property "type".
`static final String`
`KEY_OUTPUT_BOOKMARK`
Output the bookmark or not.
`static final String`
`KEY_OUTPUT_GOURP_ID`
Output the group-id or not.
`static final String`
`KEY_OUTPUT_IID`
Output the IID or not.
`static final String`
`KEY_OUTPUT_RAW_DATA`
Output the raw_data or not.

## Method Summary

Modifier and Type
Method
Description
`HashMap`
`needMetaData(org.eclipse.birt.report.model.api.ReportElementHandle elementHandle)`
It is used to judge what metadata properties need to be output.

## Field Details

### KEY_OUTPUT_IID

static final String KEY_OUTPUT_IID
Output the IID or not. Only use the key, not the value. If the key "iid" exists, the HTML emitter will output the iid.

See Also:
  - Constant Field Values

### KEY_OUTPUT_BOOKMARK

static final String KEY_OUTPUT_BOOKMARK
Output the bookmark or not. Only use the key, not the value. If the key "bookmark" exists, the HTML emitter will output the bookmark.

See Also:
  - Constant Field Values

### KEY_ATTR_ELEMENT_TYPE

static final String KEY_ATTR_ELEMENT_TYPE
The property "element_type". The value in the HashMap must be a String.

See Also:
  - Constant Field Values

### KEY_ADD_INTO_IID_LIST

static final String KEY_ADD_INTO_IID_LIST
Only use the key, not the value. If the key "iid_list" exists, and the "iid","bookmark", "element_type" have all been output, the HTML emitter will add the element informations ( "iid","bookmark" and "element_type" ) into the output instance IDs list.

See Also:
  - Constant Field Values

### KEY_ATTR_TYPE

static final String KEY_ATTR_TYPE
The property "type". The value in the HashMap must be a String.

See Also:
  - Constant Field Values

### KEY_ATTR_ROW_TYPE

static final String KEY_ATTR_ROW_TYPE
The property "row-type". The value in the HashMap must be a String.

See Also:
  - Constant Field Values

### KEY_OUTPUT_GOURP_ID

static final String KEY_OUTPUT_GOURP_ID
Output the group-id or not. Only use the key, not the value. If the key "group-id" exists, the HTML emitter will output the group-id.

See Also:
  - Constant Field Values

### KEY_OUTPUT_RAW_DATA

static final String KEY_OUTPUT_RAW_DATA
Output the raw_data or not. Only use the key, not the value. If the key "raw_data" exists, the HTML emitter will output the raw_data.

See Also:
  - Constant Field Values

## Method Details

### needMetaData

HashMap needMetaData(org.eclipse.birt.report.model.api.ReportElementHandle elementHandle)
It is used to judge what metadata properties need to be output.

Parameters:
  `elementHandle` -
Returns:
  a HashMap which contains the metadata properties outputting requirement.